<?php
if (!isset($_SESSION['nazwa'])) {
		header('Location: login.php');
		exit();
	}

$tw2=<<<HR
To jest przykładowa treść pierwszego wpisu na Twoim blogu. Możesz zmienić ustawienia następujących elementów: kolor tekstu tytułu, kolor tekstu treści wpisu, kolor tła wpisu, kolor ramki wpisu, kolor tekstu komentarza, kolor tła komentarza, kolor ramki komentarza oraz kolor tła całego bloga.... Powodzenia :)
HR;

$tw12=<<<HR
To jest przykładowa treść drugiego wpisu na Twoim blogu. Możesz zmienić ustawienia następujących elementów: kolor tekstu tytułu, kolor tekstu treści wpisu, kolor tła wpisu, kolor ramki wpisu, kolor tekstu komentarza, kolor tła komentarza, kolor ramki komentarza oraz kolor tła całego bloga.... Powodzenia :)
HR;

$tk1=<<<HR
To jest przykładowy komentarz do Twojego pierwszego wpisu. Mam nadzieję, że będzie ich dużo
więcej... :)
HR;

$tk2=<<<HR
To jest przykładowy komentarz do Twojego drugiego wpisu. Mam nadzieję, że będzie ich dużo
więcej... :)
HR;
	require_once('wiras_php/wa_baza/wa_polacz.php');
	$id = $_SESSION['id'];
	$zapytanie = "SELECT kol_fonttytul1, kol_fontwpis1,kol_tlowpis1, kol_ramkawpis1, kol_fontkomentarz1,
	kol_tlokomentarz1, kol_ramkakomentarz1, kol_fonttytul2, kol_fontwpis2, kol_tlowpis2, kol_ramkawpis2,
	kol_fontkomentarz2, kol_tlokomentarz2, kol_ramkakomentarz2, kol_tloblog
	FROM blog_setup WHERE id_user=$id";
	
	if ($pobierz = mysqli_query($db, $zapytanie)) {
		$lr = $pobierz->num_rows;
		if ($lr>0) {
			$wiersz = $pobierz->fetch_assoc();
			$tkol[0] = $wiersz['kol_fonttytul1'];
			$tkol[1] = $wiersz['kol_fontwpis1'];
			$tkol[2] = $wiersz['kol_tlowpis1'];
			$tkol[3] = $wiersz['kol_ramkawpis1'];
			$tkol[4] = $wiersz['kol_fontkomentarz1'];
			$tkol[5] = $wiersz['kol_tlokomentarz1'];
			$tkol[6] = $wiersz['kol_ramkakomentarz1'];
			$tkol[7] = $wiersz['kol_fonttytul2'];
			$tkol[8] = $wiersz['kol_fontwpis2'];
			$tkol[9] = $wiersz['kol_tlowpis2'];
			$tkol[10] = $wiersz['kol_ramkawpis2'];
			$tkol[11] = $wiersz['kol_fontkomentarz2'];
			$tkol[12] = $wiersz['kol_tlokomentarz2'];
			$tkol[13] = $wiersz['kol_ramkakomentarz2'];
			$tkol[14] = $wiersz['kol_tloblog'];
		}
	}

	$_SESSION['tkol'] = $tkol;
		$w3 = $_SESSION['tkol'][0]; 
		$w4 = $_SESSION['tkol'][1];
		$w5 = $_SESSION['tkol'][2];
		$w6 = $_SESSION['tkol'][3];
		$w7 = $_SESSION['tkol'][4];
		$w8 = $_SESSION['tkol'][5];
		$w9 = $_SESSION['tkol'][6];

		$w13 = $_SESSION['tkol'][7];
		$w14 = $_SESSION['tkol'][8];
		$w15 = $_SESSION['tkol'][9];
		$w16 = $_SESSION['tkol'][10];
		$w17 = $_SESSION['tkol'][11];
		$w18 = $_SESSION['tkol'][12];
		$w19 = $_SESSION['tkol'][13];
		
		$w10 = $_SESSION['tkol'][14];
		
		$w1 = 'To jest tytuł pierwszego wpisu';
		$w2 = $tw2;
		$w11 = 'To jest tytuł drugiego wpisu';
		$w12 = $tw12;
		$_POST['id']='4';
	
		echo '<div id="divf1">';
		echo '<div id="divf1_lp">';
		echo '<form id="formularz1" method="post" >';
		echo '<p id="lab1">Wpisz tytuł wpisu</p>';
		echo '<input type="text" name="tytul1" id="tytul1" value="'.$w1.'">';
		echo '<p id="lab1">Wpisz treść wpisu</p>';
		echo '<textarea id="tresc1" name="tresc1" rows="7" cols="34" >'.$w2;
		echo '</textarea><br />';
		echo '<input type="hidden" name="id" id="id" name="id">'; //user id
		echo '<input type="hidden" name="hf_kfn1" id="hf_kfn1" value="'.$w3.'">'; //kolor font naglowka wpisu 1
		echo '<input type="hidden" name="hf_kft1" id="hf_kft1" value="'.$w4.'">'; //kolor font tresci wpisu	1					
		echo '<input type="hidden" name="hf_ktw1" id="hf_ktw1" value="'.$w5.'">'; //kolor tla wpisu 1
		echo '<input type="hidden" name="hf_krw1" id="hf_krw1" value="'.$w6.'">'; //kolor ramki wpisu 1
		echo '<input type="hidden" name="hf_kfk1" id="hf_kfk1" value="'.$w7.'">';   //kolor font komentarz 1
		echo '<input type="hidden" name="hf_ktk1" id="hf_ktk1" value="'.$w8.'">'; //kolor tlo komentarz 1
		echo '<input type="hidden" name="hf_krk1" id="hf_krk1" value="'.$w9.'">';  //kolor ramki komentarz 1 
		echo '<input type="hidden" name="hf_ktb" id="hf_ktb" value="'.$w10.'">'; //kolor tla bloga
?>
<style>
	#blog_cp {
		width: 55px;
		border: 2px ridge #aaa;
		margin: 3px 20px;
		display: block;
		padding: 1px 3px;
		float: left;
	}
</style>
			<div id="odstep2"></div>
		<select  id="w_kolor" name="w_kolor">
			<option value="op1">1W - Kolor tekstu tytułu</option>
			<option value="op2">1W - Kolor tekstu wpisu</option>
			<option value="op3">1W - Kolor tła wpisu</option>
			<option value="op4">1W - Kolor ramki wpisu</option>
			<option value="op5">1W - Kolor tekstu komentarza</option>
			<option value="op6">1W - Kolor tła komentarza</option>
			<option value="op7">1W - Kolor ramki komentarza</option>
			<option value="op8">2W - Kolor tekstu tytułu</option>
			<option value="op9">2W - Kolor tekstu wpisu</option>
			<option value="op10">2W - Kolor tła wpisu</option>
			<option value="op11">2W - Kolor ramki wpisu</option>
			<option value="op12">2W - Kolor tekstu komentarza</option>
			<option value="op13">2W - Kolor tła komentarza</option>
			<option value="op14">2W - Kolor ramki komentarza</option>
			<option value="op15">Kolor tła bloga</option>
		</select>
		<input type="button" id="button_menu4" style="width: 70px;" class="blog_podglad" value="Podgląd" />
		<div id="odstep2"></div>
<?php		

		echo '<br /><br /><p id="lab1">Wpisz tytuł wpisu</p>';
		echo '<input type="text" name="tytul2" id="tytul2" value="'.$w11.'">';
		echo '<p id="lab1">Wpisz treść wpisu</p>';
		echo '<textarea id="tresc2" name="tresc2" rows="7" cols="34" >'.$w12;
		echo '</textarea><br />';
		echo '<input type="hidden" name="hf_kfn2" id="hf_kfn2" value="'.$w13.'">'; //kolor font naglowka wpisu 2
		echo '<input type="hidden" name="hf_kft2" id="hf_kft2" value="'.$w14.'">'; //kolor font tresci wpisu	2					
		echo '<input type="hidden" name="hf_ktw2" id="hf_ktw2" value="'.$w15.'">'; //kolor tla wpisu 2
		echo '<input type="hidden" name="hf_krw2" id="hf_krw2" value="'.$w16.'">'; //kolor ramki wpisu 2
		echo '<input type="hidden" name="hf_kfk2" id="hf_kfk2" value="'.$w17.'">';   //kolor font komentarz 2
		echo '<input type="hidden" name="hf_ktk2" id="hf_ktk2" value="'.$w18.'">'; //kolor tlo komentarz 2
		echo '<input type="hidden" name="hf_krk2" id="hf_krk2" value="'.$w19.'">';  //kolor ramki komentarz 2
		echo '<input type="button" value="Zapisz" id="button_menu4" style="width: 75px;" class="zapis" />';
		echo '</form>';
		echo '</div>';
		
		//Wpis - 1
		echo '<div id="divf1_rp" style="background-color: '.$w10.'">';
			echo '<div id="wpis1" style="background-color: '.$w5.'; border-color: '.$w6.'; ">';
			echo '<h3 id="h3w1" style="color: '.$w3.'">'.$w1.'</h3>';
			echo '<span id="tekstw1" style="color: '.$w4.'">';
			echo str_replace("\r\n",'<br>', $w2).'</span>';	
			echo '</div>';
			
			echo '<div id="komentarz1" style="color: '.$w7.'; background-color: '.$w8.'; border-color: '.$w9.';">';
			echo $tk1;
			echo '</div>';
		echo '</div>';
		
		//Wpis - 2
		echo '<div id="divf2_rp" style="background-color: '.$w10.'">';
			echo '<div id="wpis2" style="background-color: '.$w15.'; border-color: '.$w16.'; ">';
			echo '<h3 id="h3w2" style="color: '.$w13.'">'.$w11.'</h3>';
			echo '<span id="tekstw2" style="color: '.$w14.'">';
			echo str_replace("\r\n",'<br>', $w12).'</span>';	
			echo '</div>';
			
			echo '<div id="komentarz2" style="color: '.$w17.'; background-color: '.$w18.'; border-color: '.$w19.';">';
			echo $tk2;
			echo '</div>';
		echo '</div>';
?>
		<div id="blog_cp_tlo" style="width: 330px; height: 60px; background: #004; float: right; margin: 5px 90px 3px 0; text-align: center; font-family:arial, helvetica, sans-serif; font-size: 1.1em; color: #FED">
			<div style="width: 90px; float: left; margin: 0 10px; padding: 10px 0;">
			Tablica kolorów
			</div>
			<div style="width: 110px; float: left; padding: 6px 0; font-size: 0.8em; background: #047; color: #FED;">
				Wybierz kolor
				<input type="text" id="blog_cp" class="jscolor {closable:true,closeText:'Zamknij'}" value="#004"/><br />
			</div>
			<div style="width: 110px; float: left; padding: 14px 0; font-size: 0.8em;">
			Brak koloru<br />
			<input type="checkbox" id="cb_blog_kolor" value="Brak">
			</div>
		</div>
			
	</div>


<script type="text/javascript">
	var blog_kolor = '';
	var blog_bk = false;
		
$(document).ready(function(){
	
    $('.zapis').click(function() { 
		var w1 = $('#hf_kfn1').val();
		var w2 = $('#hf_kft1').val();
		var w3 = $('#hf_ktw1').val();
		var w4 = $('#hf_krw1').val();
		var w5 = $('#hf_kfk1').val();
		var w6 = $('#hf_ktk1').val();
		var w7 = $('#hf_krk1').val();
		
		var w8 = $('#hf_kfn2').val();
		var w9 = $('#hf_kft2').val();
		var w10 = $('#hf_ktw2').val();
		var w11 = $('#hf_krw2').val();
		var w12 = $('#hf_kfk2').val();
		var w13 = $('#hf_ktk2').val();
		var w14 = $('#hf_krk2').val();
		var w15 = $('#hf_ktb').val();
        $.ajax({
            type:"POST",
            url:"wiras_php/baza_polaczenie/zapis_kolor_blog.php", 
            data: {k1:w1, k2:w2, k3:w3, k4:w4, k5:w5, k6:w6, k7:w7, k8:w8, k9:w9, k10:w10, k11:w11, k12:w12, k13:w13, k14:w14, k15:w15},
                 
                success:function() { 
                    $("#wyslij").attr("disabled", true);
                    setTimeout(function(){
                        $("#wyslij").attr("disabled", false); 
                    }, 1000);              
                },
                error: function(blad) {
                    console.log("Błąd-Problem z zapisem ustawień bloga"); 
                }
        });
 
    });
	
	$('#blog_cp').change(function() { 
		if (!blog_bk) {
			var kolor1 = $('#blog_cp').css('background-color');
			var kolor2 = $('#blog_cp').css('color');
			$('#blog_cp_tlo').css('background-color', kolor1);
			$('#blog_cp_tlo').css('color', kolor2);
			blog_kolor = '#'+$('#blog_cp').val();
			kolory(blog_kolor);
		}
		});
		
	$('#cb_blog_kolor').change(function() { 
		if (this.checked){
			blog_kolor = '';
			$('#blog_cp_tlo').css('background-color', blog_kolor);
			$('#blog_cp_tlo').css('color', '#23C6F7');
			blog_bk=true;
			kolory(blog_kolor);
		} else {
			blog_bk=false;
			var kolor1 = $('#blog_cp').css('background-color');
			var kolor2 = $('#blog_cp').css('color');
			$('#blog_cp_tlo').css('background-color', kolor1);
			$('#blog_cp_tlo').css('color', kolor2);
			blog_kolor = '#'+$('#blog_cp').val();
			kolory(blog_kolor);
		}		
	});
	
	function kolory(a) {
		var kolor = a;
		if (kolor=='') { 
			kolor='none';
		}
		var t1 = '<h3 id="h3w1" style="color: ';
		var t2 = document.forms['formularz1'].tytul1.value;
		var t3 = '<span id="tekstw1" style="color: ';
		var t4 = document.forms['formularz1'].tresc1.value;
		var t5 = '<h3 id="h3w2" style="color: ';
		var t6 = document.forms['formularz1'].tytul2.value;
		var t7 = '<span id="tekstw2" style="color: ';
		var t8 = document.forms['formularz1'].tresc2.value;
		
		var kolt1 = document.forms['formularz1'].hf_kft1.value;
		var kolt2 = document.forms['formularz1'].hf_kft2.value;


		var opcja = $('#w_kolor').val();
		switch (opcja) {
					case 'op1':
						document.getElementById('h3w1').style.color = kolor;
						document.getElementById('wpis1').innerHTML=t1+kolor+'">'+t2+'</h3>'+t3+kolt1+'">'+t4+'</span>';
						document.getElementById('hf_kfn1').value=kolor;
						break;
					case 'op2':
						document.getElementById('tekstw1').style.color = kolor;
						document.getElementById('hf_kft1').value=kolor;
						break;
					case 'op3':
						document.getElementById('wpis1').style.background = kolor;
						document.getElementById('hf_ktw1').value=kolor;
						break;
					case 'op4':
						document.getElementById('wpis1').style.borderColor = kolor;
						document.getElementById('hf_krw1').value=kolor;
						break;
					case 'op5':
						document.getElementById('komentarz1').style.color = kolor;
						document.getElementById('hf_kfk1').value=kolor;
						break;
					case 'op6':
						document.getElementById('komentarz1').style.background = kolor;
						document.getElementById('hf_ktk1').value=kolor;
						break;
					case 'op7':
						document.getElementById('komentarz1').style.borderColor = kolor;
						document.getElementById('hf_krk1').value=kolor;
						break;												
					case 'op8':
						document.getElementById('h3w2').style.color = kolor;
						document.getElementById('wpis2').innerHTML=t5+kolor+'">'+t6+'</h3>'+t7+kolt2+'">'+t8+'</span>';
						document.getElementById('hf_kfn2').value=kolor;
						break;
					case 'op9':
						document.getElementById('tekstw2').style.color = kolor;
						document.getElementById('hf_kft2').value=kolor;
						break;
					case 'op10':
						document.getElementById('wpis2').style.background = kolor;
						document.getElementById('hf_ktw2').value=kolor;
						break;
					case 'op11':
						document.getElementById('wpis2').style.borderColor = kolor;
						document.getElementById('hf_krw2').value=kolor;
						break;
					case 'op12':
						document.getElementById('komentarz2').style.color = kolor;
						document.getElementById('hf_kfk2').value=kolor;
						break;
					case 'op13':
						document.getElementById('komentarz2').style.background = kolor;
						document.getElementById('hf_ktk2').value=kolor;
						break;
					case 'op14':
						document.getElementById('komentarz2').style.borderColor = kolor;
						document.getElementById('hf_krk2').value=kolor;
						break;
					case 'op15':
						document.getElementById('divf1_rp').style.background = kolor;
						document.getElementById('divf2_rp').style.background = kolor;
						document.getElementById('hf_ktb').value=kolor;
						break;
					}
	}
	
	 $('.blog_podglad').on("click", function(){
		var t1 = '<h3 id="h3w1" style="color: ';
		var t2 = document.forms['formularz1'].tytul1.value;
		var t3 = '<span id="tekstw1" style="color: ';
		var tt4 = document.forms['formularz1'].tresc1.value;
		var t4 = tt4.replace(/\n/gi, "<br>");
		var t5 = '<h3 id="h3w2" style="color: ';
		var t6 = document.forms['formularz1'].tytul2.value;
		var t7 = '<span id="tekstw2" style="color: ';
		var tt8 = document.forms['formularz1'].tresc2.value;
		var t8 = tt8.replace(/\n/gi, "<br>");
		
		var koln1 = document.forms['formularz1'].hf_kfn1.value;
		var kolt1 = document.forms['formularz1'].hf_kft1.value;
		var koln2 = document.forms['formularz1'].hf_kfn2.value;
		var kolt2 = document.forms['formularz1'].hf_kft2.value;

		document.getElementById('wpis1').innerHTML=t1+koln1+'">'+t2+'</h3>'+t3+kolt1+'">'+t4+'</span>';
		document.getElementById('wpis2').innerHTML=t5+koln2+'">'+t6+'</h3>'+t7+kolt2+'">'+t8+'</span>';
	 });
	
});
</script>
